%global license_ver 1.0.1
%global qualifier v20140414-1359
%global gittag org.eclipse.license-license-%{license_ver}.%{qualifier}

Name:      eclipse-license
Version:   %{license_ver}
Release:   %mkrel 11
Group:     Development/Java
Summary:   Shared license feature for Eclipse

License:   EPL
URL:       http://wiki.eclipse.org/CBI
Source0:   http://git.eclipse.org/c/cbi/org.eclipse.license.git/snapshot/%{gittag}.tar.bz2

BuildArch: noarch

BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: eclipse-filesystem

Requires: eclipse-filesystem

%description
Shared license feature for Eclipse. Other features may consume this
feature to avoid unnecessary duplication of license boiler plate.

%prep
%setup -q -n %{gittag}

# Don't package poms
%mvn_package "::pom::" __noinstall

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.eclipse.license/epl-v10.html



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.0.1-11.mga6
+ Revision: 981948
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.0.1-10.mga6
+ Revision: 975794
- First rebuild of the java stack
- sync package eclipse-license with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Dec 26 2014 pterjan <pterjan> 1.0.1-2.mga5
+ Revision: 806297
- Clean rebuild
- Mageify
- imported package eclipse-license


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 09 2014 Mat Booth <mat.booth@redhat.com> - 1.0.1-3
- Update to latest upstream.

* Thu Mar 13 2014 Mat Booth <mat.booth@redhat.com> - 1.0.0-2
- Use Xmvn.

* Thu Mar 13 2014 Mat Booth <mat.booth@redhat.com> - 1.0.0-1
- Initial version of license shared feature.

